Package net.shibboleth.idp.profile.interceptor

# Interface ProfileInterceptorResult

All Superinterfaces:
  `Component`, `IdentifiedComponent`

All Known Implementing Classes:
  `AbstractProfileInterceptorResult`, `ConsentResult`

public interface ProfileInterceptorResult extends IdentifiedComponent
Represents the result of a profile interceptor flow intended for storage by a `StorageService`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getStorageContext()`
Get the storage context.
`Instant`
`getStorageExpiration()`
Get the storage expiration.
`String`
`getStorageKey()`
Get the storage key.
`String`
`getStorageValue()`
Get the storage value.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Method Details

### getStorageContext

@Nonnull @NotEmpty String getStorageContext()
Get the storage context.

Returns:
  the storage context

### getStorageKey

@Nonnull @NotEmpty String getStorageKey()
Get the storage key.

Returns:
  the storage key

### getStorageValue

@Nonnull @NotEmpty String getStorageValue()
Get the storage value.

Returns:
  the storage value

### getStorageExpiration

@Nullable Instant getStorageExpiration()
Get the storage expiration.

Returns:
  the storage expiration